<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/highslide.packed.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<link href="/css/highslide.css" media="screen" rel="stylesheet" type="text/css" />
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<script type="text/javascript">
	hs.graphicsDir = '/css/graphics/';
</script>
<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 940
	});
	window.TransferPopup = popup;

	var rejectPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Reject', icon: 'delete', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 640
	});
	window.rejectPopup = rejectPopup;

	var payPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Confirm', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 640
	});

	var detailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 695
	});

	window.OrderDetailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 2 }
	});

	window.TransferDetailsPopup = detailsPopup;

	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {
			switch(this.get('value'))
			{
				case '':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date()), true);

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()), true);
				break;
				case 'today':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date()));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'yesterday':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'last_7_days':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'this_month':
					var last_day = new Date().get('lastdayofmonth');

					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().set('date', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
				break;
				case 'last_month':
					var last_month = new Date().decrement('month', 1);

					var last_day = last_month.get('lastdayofmonth');

					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(last_month.set('date', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
				break;
			}
		});
	};

	initDateFilter('search-form');

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>


	

	var getFilterParams = function () {
		/*
		is_open = $('toggle-advanced-search').get('class');

		sform = 'q-search-form';
		if ( is_open == 'opened' )
			sform = 'a-search-form';
		*/
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		$$('#export-link').set('href', '/billing/transfers/export' + '?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var defaultAction;

	<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
	var menu = new ActionsMenu([
		{ name: 'details', icon: 'details', caption: 'Details', func: defaultAction = function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/transfers/details?id=' + data.id, function () {
				this.open();
			});
		} },
		<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
		{ name: 'confirm', icon: 'money', caption: 'Confirm', func: function (data) {
			payPopup.setTitle('Confirm Transfer');
			payPopup.load('/billing/transfers/confirm?id=' + data.id, function () {
				this.open();
			});
		} },
		<? endif; ?>
		{ name: 'reject', icon: 'remove', caption: 'Reject', func: function (data) {
			if ( data.status == 'Pending' || data.status == 'Confirmed' ) {
				rejectPopup.setTitle('Reject Transfer');
				rejectPopup.load('/billing/transfers/reject?id=' + data.id, function () {
					this.open();
				});
			}
		} }
	], { mode: 'mouse' });

	menu.addEvent('show', function (data) {
		if ( ['confirmed', 'auto rejected'].contains(data.status.toLowerCase()) ) {
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			this.actions['confirm'].disable();
			<? endif; ?>
				
			<? if ( $bu_user->type == 'superadmin'): ?>
			this.actions['reject'].enable();
			<? else: ?>
			this.actions['reject'].disable();
			<? endif; ?>
		}
		else if ( data.status.toLowerCase() == 'rejected' ) {
			this.actions['reject'].disable();
		}
		else {
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			this.actions['confirm'].enable();
			<? endif; ?>
				
			<? if ( $bu_user->type == 'superadmin' && (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT) ): ?>
			this.actions['reject'].enable();
			<? endif; ?>
		}
		
		if ( data.status.toLowerCase() != 'pending' || data.phone_billing_paid == 2 ) {
			this.actions['confirm'].disable();
		}
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Display Name', field: '', sortField: 'u.username', type: 'UserTypeIcon', sortable: true },
			{ title: 'Sales Person', field: 'sales_username', sortField: 'bu.username', type: 'string', sortable: true },
			{ title: 'Type', field: 'transfer_type', sortField: 'tt.name', type: 'TransferType', sortable: true, width: '100px' },
			{ title: 'Payer Name', field: 'first_name', type: 'TransferPersonName', sortable: true },
			{ title: 'Transfer Date', field: 'date_transfered', type: 'DateTime', sortable: true, width: '110px' },
			{ title: 'Transfer Amount', field: 'amount', type: 'Currency', format: { currency: '<?= $this->currency('symbol') ?>' }, sortable: true, width: '130px' },
			{ title: 'Payment Date', field: 'payment_date', type: 'DateTime', sortable: true, width: '110px' },
			{ title: 'Paid Amount', field: 'paid_amount', type: 'Currency', format: { currency: '<?= $this->currency('symbol') ?>' }, sortable: true, width: '110px' },
			{ title: 'Status', field: 'status', type: 'TransferStatus', sortable: true },
			{ title: 'Payment Cond.', field: 'phone_billing_paid', type: 'PhonePaymentStatus', sortable: true }
		],
		sort: {
			field: 'date_transfered',
			dir: 'DESC'
		},
		actions: [ { type: 'details', mouseenter: function (data, btn) {
			menu.show(btn, data);
		} }/*, { type: 'remove', func: function (data) {
			if ( data.status == 'Pending' ) {
				rejectPopup.setTitle('Reject Transfer');
				rejectPopup.load('/billing/transfers/reject?id=' + data.id, function () {
					this.open();
				});
			}
		} }, { type: 'money', func: function (data) {
			payPopup.setTitle('Confirm Transfer');
			payPopup.load('/billing/transfers/confirm?id=' + data.id, function () {
				this.open();
			});
		} }, { type: 'details', func: function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/transfers/details?id=' + data.id, function () {
				this.open();
			});
		} } */],
		data: new Cubix.Grid.Loader({ url: '/billing/phone-transfers/data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});

	grid.addEvent('rowdblclick', defaultAction);

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});

	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.data.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.data.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.data.escort_id + '&name=' + window.EscortPopup.data.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */

	grid.addEvent('loaded', function () {

		$$('span.user-type-escort a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});

		$$('span.user-type-agency a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;

			window.AgencyPopup.setTitle('Edit Agency');
			window.AgencyPopup.agency_id = data.agency_id;
			window.AgencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + data.agency_id, function () {
				this.open();
			});
			
		});


		if ( this.data.total ) {
			$$('.total-mixed b').set('html', this.data.total);
		}

		if ( this.data.paid ) {
			$$('.total-paid b').set('html', this.data.paid);
		}
	});

	/*new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add New Transfer');
		popup.load('/billing/transfers/create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Add New Transfer', classes: 'mr10' });*/

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });



	/* >>> Sales Users by Application ID */
	if ( $('f-app-id') ) {
		$('f-app-id').addEvent('change', function () {
			var app_id = this.getSelected()[0].get('value');
			var select = $('f-sales-user-id').set('disabled', 'disabled').addClass('disabled');
			select.empty();
			new Request({
				url: '/billing/orders/ajax-sales-users',
				method: 'get',
				data: { app_id: app_id },
				onComplete: function (resp) {
					var users = JSON.decode(resp);

					if ( users.length ) {
						new Element('option', {
							value: '',
							html: '- - - '
						}).inject(select);
					}

					users.each(function (user) {
						new Element('option', {
							value: user.id,
							html: user.username
						}).inject(select);
					});

					if ( users.length ) {
						select.set('disabled', null);
						select.getParent('.inner').removeClass('disabled');
					}
				}
			}).send();
		});
		$('f-app-id').fireEvent('change'); // Auto-fill sales persons on load (no more need in switching application)
	}
	/* <<< */

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				/*else {
					input.addEvent('change', function(){
						grid.load();
					});
				}*/
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		/*selects.addEvent('change', function(){
			grid.load();
		});*/
	};

	initFormSubmit();

};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<!-- GENERAL -->
			<fieldset class="inner mb10">
				<legend>General</legend>

				<div class="inner">
					<label for="f-showname">Showname</label>
					<input type="text" name="showname" class="txt w14" id="f-showname" value="<?= $this->filter_params['showname'] ?>" />
				</div>

				<div class="inner">
					<label for="f-agency_name">Agency Name</label>
					<input type="text" name="agency_name" class="txt w14" id="f-agency_name" value="<?= $this->filter_params['agency_name'] ?>" />
				</div>

				<div class="inner">
					<label for="f-email">Email</label>
					<input type="text" value="<?= $this->filter_params['email'] ?>" name="email" class="txt w14" id="f-email" />
				</div>

				<div class="inner">
					<label for="f-order_id">Order ID</label>
					<input type="text" name="sys_order_id" class="txt w6" id="f-order_id" value="<?= $this->filter_params['sys_order_id'] ?>" />
				</div>
				<div class="clear"></div>

				<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

				<div class="inner">
					<label for="f-app-id">Application</label>
					<strong style="font-size: 120%; line-height: 20px"><?= Cubix_Application::getById()->title ?></strong>
				</div>
				
				<? /*
				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>
					<div class="inner">
						<label for="f-sales-user-id">Sales Person</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales manager', 'admin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? else: ?>
					<div class="inner disabled">
						<label for="f-sales-user-id">Sales Person</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14" disabled="disabled">
							<option value="<?= $bu_user->id ?>"><?= $bu_user->username ?></option>
						</select>
					</div>
					
				<? endif; ?>
				*/ ?>
				<div class="inner">
					<label for="f-status">Status</label>
					<? $selected_f = $this->filter_params['status'] ? $this->filter_params['status'] : Model_Billing_Transfers::STATUS_PENDING; ?>
					<? if ($this->request()->status): ?>
						<? $selected_f = $this->request()->status ?>
					<? endif; ?>
					<select id="f-status" name="status" class="w12">
						<option value="0"> - any - </option>
						<? foreach ( Model_Billing_Transfers::$STATUS_LABELS as $status => $title ): ?>
						<option value="<?= $status ?>" <?= ( $selected_f == $status ) ? 'selected="selected"' : '' ?> ><?= $title ?></option>
						<? endforeach ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="f-phone-status">Payment Condition</label>
					<select id="f-phone-status" name="phone_status" class="w12">
						<option value=""> - any - </option>						
						<option value="1">Payed</option>
						<option value="2">Not Payed</option>						
					</select>
				</div>				
				
				<div class="clear"></div>
			</fieldset>
			<!-- GENERAL END  -->

			<!-- DATE  -->
			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w10 f-dates-defined">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>

				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value="" />
				</div>

				<div class="clear"></div>
			</fieldset>
			<div class="clear"></div>
			<!-- DATE END  -->		
		</div>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="action-bar mt10">
	<?/*<a href="" id="btn-create"></a>*/?>

	<div class="fleft total-mixed" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Total Transfers: <b>...</b>
	</div>

	<div class="fleft total-paid" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Total Paid: <b>...</b>
	</div>

	<? if ( in_array($bu_user->type, array('superadmin', 'admin')) ): ?>
	<div class="export-button" style="float: right; margin: 5px 5px 0 0; font-weight: bold">
		<a href="/billing/transfers/export" onclick="return confirm('You are trying to export a huge amount of data, that could take quite long time...\nAre you sure you want to proceed?')" id="export-link">
			Download CSV
		</a>
	</div>
	<? endif ?>
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
